<template>
  <section class="tooltip-header">
    <div ripple @click="showTooltip" class="tooltip-header__icon">
      <v-icon medium :large="$vuetify.breakpoint.mdAndDown" color="#3C317F">help</v-icon>
    </div>
    <v-card class="tooltip-header__card" v-if="tooltip">
      Você tem 3 tentativas para ganhar pontos nesta atividade.
      A partir da quarta tentativa você não irá mais pontuar.
    </v-card>
  </section>
</template>

<script>
export default {
  data() {
    return {
      tooltip: true,
      listener: {},
      timeout: {},
    };
  },
  methods: {
    addEventListener() {
      if (this.$vuetify.breakpoint.mdAndDown) {
        this.timeout = setTimeout(() => {
          window.addEventListener('click', this.closeTooltip);
        }, 100);
      }
    },
    removeEventListener() {
      clearTimeout(this.timeout);
      window.removeEventListener('click', this.closeTooltip);
    },
    showTooltip() {
      clearTimeout(this.timeout);
      this.tooltip = true;
      this.addEventListener();
    },
    closeTooltip() {
      this.tooltip = false;
      this.removeEventListener();
    },
  },
  created() {
    this.showTooltip();
  },
};
</script>

<style lang="sass">

  @import ~@/styles/defaults/mobileFirst

  .tooltip-header
    position: relative
    width: 100%
    user-select: none
    height: auto
    &__icon
      position: relative!important
      z-index: 20
      text-align: right
    &__card
      position: absolute!important
      width: 55vw
      right: 10px
      top: 10px
      padding: 10px
      z-index: 19
    +media-min-lg()
      &__card
        position: relative!important
        padding: 10px 15px
        font-size: 12px
        right: auto
        top: auto
        line-height: 1.4
        width: 100%
      &__icon
        text-align: left
        position: absolute!important
        left: -12px
        top: -12px
        & i
          &::before
            position: absolute
            content: ' '
            z-index: -1
            background: #f4f4f4
            width: 50%
            height: 65%
            left: 7px
            top: 4px


</style>
